/*
	CSS Syntax:

	selector {
		property:value;
	}

	selector - determines which element will have style applied to

	property - selected styling attributed to be modified

	value - modified value of the selected styling
*/

/*
	Type Selector (h1, etc)
		- targets elements with the specified type/tag name


*/
h1 {
	/*!important property overrides CSS Specificity rule*/
	color: black !important;
	text-align: center;
	/*"rem" = root element
	2rem = 2 times root element's set size
	2(20) = 40px

	Note: default text size is 16px*/
	font-size: 2rem;
}

/*
	Universal Selector (*)
		- targets all elements
*/
*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	ID Selector (#id)
		- targets elements according to its id
		- ideal for targeting unique elements
*/
#zuitt-motto{
	letter-spacing: 5px;

}

/*
	Class Selector (.class-name)
		- targets elements according to class att
		- ideal for multiple targets at once
*/

.offering-item{
	/*changes text casing*/
	text-transform: uppercase;
}

/*
	Attribute Selector ([attribute] or tagname[attribute] or tagname[attribute="value"])
		- targets elements with specified element attribute
*/

input[required]{
	/*% bases specs on parent's specs (% of parents's size)*/
	width: 90%;
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*
	CSS Specificity
		- Styling follows prioritization when multiple styles are applied to an element
		- Inline (highest) > Internal > External

		- Also applies to selectors
		- ID (highest) > Class > Attribute > Type > Universal
*/

/*CSS Selector Combinators*/

/*
	Adjacent Sibling Selector (+)
		- selects the sibling element that is directly after another specified element
*/

h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	Descendant Selector (Whitespace)
		- Matches all elements that are "descendants" of a specified element
*/

#bootcamp-learning-list li{
	color:#075966;
}

/*
	General Sibling Selector (~)
		- Select all elements that are siblings of a specified element		
*/

h2 ~a{
	text-decoration: none;
}

/*
Child Selector (>)
	- selects all elements that are direct children of a specified element

*/

section > form > label{
	color: rgb(0, 0, 128);
}

/* Added styling*/
body{
	background-color: skyblue;
}

html{
	scroll-behavior: smooth;
}

/*Nav bar*/
nav{
	background-color: white;
}

/*
	selector:hover
		- pseudo class
		- changes style when hovered over
*/
a:hover {
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

section{
	/*"vh" = viewport height*/
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}

/*register section*/
form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*"position" is used to move specific elements in the webpage*/
	position: relative;
	/*"left" requires "position" attribute. Starts from the left side of the element*/
	left: 37.25%;
}

button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}